Subject: Re: bug#51460: emacs-magit: path error during commit
From: Maxim Cournoyer <[email-masked]>
To: Christopher Howard <[email-masked]>
Cc: [email-masked]
Date: Tue, 03 Oct 2023 23:24:37 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxim Cournoyer <[email-masked]> writes:

> Hi Christopher,
>
> Christopher Howard <[email-masked]> writes:
>
>> Hello, for a long time I've struggled with getting a path error when I
>> try to do a commit using emacs-magit. Here is an example log copied from
>> the magit-process buffer:
>>
>> ```
>>   0 git … add -u -- Genesis/gen_1.org
>>   1 git … commit --
>> hint: Waiting for your editor to close the file...
>> Waiting for Emacs...
>> *ERROR*: Searching for program: No such file or directory, git
>> error: There was a problem with the editor
>> '/gnu/store/dpky3z5844bclhswdk69z90vayy65b58-emacs-27.2/bin/emacsclient
>> --socket-name=/run/user/1000/emacs/server'.
>> Please supply the message using either -m or -F option.
>> ```
>
> One thing I can think about is that emacs-magit doesn't refer to git
> directly:
>
> $ guix gc -R /gnu/store/xd1bvmac1p4gjxb90m875r15xna52jyr-emacs-magit-3.3.0
> /gnu/store/720rj90bch716isd8z7lcwrnvz28ap4y-bash-static-5.1.8
> /gnu/store/vqdsrvs9jbn0ix2a58s99jwkh74124y5-coreutils-minimal-8.32
> /gnu/store/5h2w4qi9hk1qzzgi1w83220ydslinr4s-glibc-2.33
> /gnu/store/4y5m9lb8k3qkb1y9m02sw9w9a6hacd16-bash-minimal-5.1.8
> /gnu/store/094bbaq6glba86h1d4cj16xhdi6fk2jl-gcc-10.3.0-lib
> /gnu/store/hy6abswwv4d89zp464fw52z65fkzr7h5-perl-5.34.0
> /gnu/store/xd1bvmac1p4gjxb90m875r15xna52jyr-emacs-magit-3.3.0
>
> So it needs to be on your PATH.  For me, the value returned by 'C-h v
> magit-git-executable' is "git".  One thing we could do is patch the
> default value of this Elisp variable in our emacs-magit package to git,
> so that users wouldn't need installing git manually.

Commit b59b033af3957e0de9a44733e26cbcc7114a4dfb ("gnu: emacs-magit:
Substitute git executable path.") should prevent such a situation from
occurring.

-- 
Thanks,
Maxim